org.apache.catalina.storeconfig

## Class StandardServiceSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.StandardServiceSF

- All Implemented Interfaces:
    IStoreFactory

      public class StandardServiceSF
      extends StoreFactoryBase

  Store server.xml Element Service and all children

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardServiceSF()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `storeChildren(PrintWriter aWriter, int indent, Object aService, StoreDescription parentDesc)` Store the specified service element children.

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardServiceSF

          public StandardServiceSF()

  - ### Method Detail

    - #### storeChildren

          public void storeChildren(PrintWriter aWriter,
                           int indent,
                           Object aService,
                           StoreDescription parentDesc)
                             throws Exception

      Store the specified service element children.
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - Current output writer
        `indent` - Indentation level
        `aService` - Service to store
        `parentDesc` - The element description
      Throws:
        `Exception` - Configuration storing error

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.